Bug 403611 - Selecting dual head display crashes X11
Selecting dual head display crashes X11
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 17:48 EST by M. A. MacLain
Modified: 2008-04-10 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: F8current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 12:29:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg Crash support files (113.67 KB, application/vnd.oasis.opendocument.text)
2007-11-28 17:48 EST, M. A. MacLain
no flags Details
xorg.conf which doesn't work (1.85 KB, text/plain)
2007-11-29 12:53 EST, Matěj Cepl
no flags Details
xorg.conf which does work (592 bytes, text/plain)
2007-11-29 12:54 EST, Matěj Cepl
no flags Details
Screenshot of system-config-display with the current configuration (43.41 KB, image/png)
2007-11-29 12:55 EST, Matěj Cepl
no flags Details
Xorg.0.log (371.27 KB, text/plain)
2007-11-29 12:56 EST, Matěj Cepl
no flags Details
Xorg.0.log (371.27 KB, text/plain)
2007-11-29 12:56 EST, Matěj Cepl
no flags Details

  None (edit)
Description M. A. MacLain 2007-11-28 17:48:37 EST
Description of problem:
Selecting Dual Head in System -> Administration -> Display -> Display Settings
crashes X11.
This happens both in Fedora 8-i386 as well as in Fedora 8-64. Switching back to 
the original xorg.conf configuration file restores proper operation of X11.
System consists of:  Intel Core2 Quad 6600; Asus P5K mobo: nVidea GeForce 8600
GTS display;
One Hitachi Super Scan 753 and One NEC AccuSync LCD 193 wxm  monitors; 2 GB
memory: 2 x 400 GB Sata Drives.
Attached the F8-64 xorg,conf which causes the crash and the Xorg.0.log.

Version-Release number of selected component (if applicable):
X Window System Version 1.3.0 
Release Date: 19 April 2007 
X Protocol Version 11, Revision 0, Release 1.3 
Build Operating System: Fedora Core 7 Red Hat, Inc. 
Current Operating System: Linux dhcppc1 2.6.23.1-49.fc8 #1 SMP Thu Nov 8
22:14:09 EST 2007 x86_64 
Build Date: 17 October 2007 
Build ID: xorg-x11-server 1.3.0.0-33.fc8 

How reproducible: Consistent

Steps to Reproduce:
1.System -> Administration -> Display -> Display Settings -> Dual head
2.Select use dual head, configure second monitor (Generic 1440x900)
3.
  
Actual results: Crash


Expected results:


Additional info:
Comment 1 M. A. MacLain 2007-11-28 17:48:37 EST
Created attachment 271871 [details]
Xorg Crash support files
Comment 2 Matěj Cepl 2007-11-29 12:53:55 EST
Created attachment 273081 [details]
xorg.conf which doesn't work
Comment 3 Matěj Cepl 2007-11-29 12:54:43 EST
Created attachment 273091 [details]
xorg.conf which does work
Comment 4 Matěj Cepl 2007-11-29 12:55:39 EST
Created attachment 273101 [details]
Screenshot of system-config-display with the current configuration
Comment 5 Matěj Cepl 2007-11-29 12:56:45 EST
Created attachment 273111 [details]
Xorg.0.log

not clear which configuration it is
Comment 6 Matěj Cepl 2007-11-29 12:56:59 EST
Created attachment 273121 [details]
Xorg.0.log

not clear which configuration it is
Comment 7 Matěj Cepl 2007-11-29 12:57:49 EST
Comment on attachment 273121 [details]
Xorg.0.log

attaached twice by mistake
Comment 8 Adam Jackson 2008-02-12 15:10:32 EST
Does X crash immediately upon configuring the second monitor, or only after
restarting X?  If the latter, can you attach the X log from the crash? (Reboot
into runlevel 3 and copy /var/log/Xorg.0.log away to somewhere safe, then
telinit 5.)
Comment 9 Matěj Cepl 2008-04-10 06:03:50 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 M. A. MacLain 2008-04-10 11:28:00 EDT
With recent updates the problem has vanished.
You may close this bug.
Thank you.
M. A. MacLain 

Note You need to log in before you can comment on or make changes to this bug.